#include "ptpen.h"

PtPen::PtPen(void) {
  initialize();
  setWidth(this->width());
}

PtPen::PtPen(const QColor &cl, uint w) {
  initialize();
  setColor(cl);
  setWidth(w);
}

void PtPen::setDWidth(uint dw) {
  d_width = dw;
}

uint PtPen::dwidth(void) {
  return d_width;
}

void PtPen::initialize(void) {
  d_width = 0x300;
  red = green = blue = 0;
  p_red = p_green = p_blue = 255;
}

void PtPen::setColor(const QColor &col) {
  red = col.red();
  green = col.green();
  blue = col.blue();
}

QColor PtPen::color(void) {
  QColor col(red, green, blue);
  return col;
}

void PtPen::setWidth(uint w) {
  d_width = w << 8;
}

uint PtPen::width(void) {
  return d_width >> 8;
}

void PtPen::setPaperColor(const QColor &col) {
  p_red = col.red();
  p_green = col.green();
  p_blue = col.blue();
}

QColor PtPen::paperColor(void) {
  QColor col(p_red, p_green, p_blue);
  return col;
}
