#ifndef PTPEN_H
#define PTPEN_H

#include <qcolor.h>

#include "constants.h"

class PtPen {
 private:
  uint d_width;
  uchar red, green, blue;
  uchar p_red, p_green, p_blue;

 public:
  int brush_method;
  uint density, cloud_density;
  bool antialias;

 public:
  PtPen(void);
  PtPen(const QColor&, uint w = 0);
  void setDWidth(uint dw);
  uint dwidth(void);

 private:
  void initialize(void);

 public:
  void setColor(const QColor &);
  QColor color(void);
  void setWidth(uint);
  uint width(void);
  void setPaperColor(const QColor &);
  QColor paperColor(void);

};

#endif // PTPEN_H
